Subject: Bug 23846

From: Francesco Turco <[email-masked]>
Date: Sat, 25 Jun 2016 19:40:53 +0200

On IRC (#emacs-beginners) they suggested me to add this function to
~/.emacs:

(define-key tabulated-list-mode-map (kbd "s") 'tabulated-list-sort)
(defun tabulated-list-sort (column-name)
  (interactive
   (list (completing-read "Column: "
			  (mapcar 'car tabulated-list-format))))
  (tabulated-list--sort-by-column-name column-name))

I haven't learned Emacs Lisp yet so I can't help but this may be a
starting point for implementing this feature.

The previous function seems to work fine for all columns except for
Description and Version, but I don't know if it makes sense to sort
packages according to those columns.

-- 
Website: http://www.fturco.net/
GPG key: 6712 2364 B2FE 30E1 4791 EB82 7BB1 1F53 29DE CD34